import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { BuildingService } from '../building/building.service';
import { GroupService } from '../group/group.service';
import { UserService } from '../user/user.service';
import { StoredItemTransaction } from './entities/item-transaction.entity';
import { Item } from './entities/item.entity';
import { StorageSet } from './entities/storage-set.entity';
import { Storage } from './entities/storage.entity';
import { StoredItem } from './entities/stored-item.entity';

@Injectable()
export class StorageService {
  constructor(
    @InjectRepository(Item)
    private readonly itemRepository: Repository<Item>,
    @InjectRepository(Storage)
    private readonly storageRepository: Repository<Storage>,
    @InjectRepository(StorageSet)
    private readonly storageSetRepository: Repository<StorageSet>,
    @InjectRepository(StoredItem)
    private readonly storedItemRepository: Repository<StoredItem>,
    @InjectRepository(StoredItemTransaction)
    private readonly transactionRepository: Repository<StoredItemTransaction>,
    private readonly groupService: GroupService,
    private readonly userService: UserService,
    private readonly buildingService: BuildingService,
  ) {}
}
